/* visually hide prev year data for 2021 */
.prev-year { opacity: 0.25; }

/* style for Categorie check boxes*/
/* ul#Categorie li { list-style: none; } */
ul#Categorie li { list-style: none; margin-bottom: 7px; }
ul#Categorie input[type='checkbox'] { margin-top: 7px; } /* alignement des libellés sur les coches */

::-webkit-input-placeholder { color:#8ac !important; }
::-moz-placeholder          { color:#8ac !important; }
::-ms-placeholder           { color:#8ac !important; }
:-ms-input-placeholder      { color:#8ac !important; }
::placeholder               { color:#8ac !important; }

.sr-only { position: absolute !important; }

.input-w-xs { width: 45px; }
.input-w-sm { width: 75px; }

span.form-control { min-height: 29px; }
.readonly { background-color: #e3e6e9; color: #999; }

.space-md-left-inv { margin-left: -30px; }

#navDown_web_butSubmit { display: none; }

.repeater-container { overflow: visible; }

.es-section,
.es-section > tbody,
.es-section > tbody > tr,
.es-section > tbody > tr > td { display: block; }

.es-section { margin-bottom: 30px; }

.es-section.section-broken,
.es-section.section-broken > tbody,
.es-section.section-broken > tbody > tr { display: inline; }

.flex-section { display: block; }
.flex-section-2 [data-label]:before { position: static; }

.is-relation { display: none; }

.es-repeater-table .btn { width: 100%; }

.nav-page-list li a { position: relative; }
.nav-page-list li.active > a { pointer: default; }

.select2-results li {
    font-size: 1;
    line-height: 1;
    margin-left: 0;
}

.tooltip-inner { max-width: 400px; text-align: left; }

span.es-input-list { display: block; margin-bottom: 15px; }

@media only screen and (min-width: 768px) {
    .navigation-ct-top { position: absolute; right: 15px; top: -68px; margin: 0; }
    .navigation-ct-top > div { margin: 0; padding: 0; width: auto; }
    
    .flex-section > tbody { display: flex; flex-direction: row; justify-items: center; align-items: flex-start; }
    .flex-section > tbody > tr { flex-grow: 1; margin: 0 15px 15px; }
    .flex-section > tbody > tr:first-child { margin-left: 0; }
    .flex-section > tbody > tr:last-child { margin-right: 0; }
    
    .flex-section.flex-section-2 > tbody { flex-wrap: wrap; }
    .flex-section.flex-section-2 > tbody > tr { flex: 1 0 34%; max-width: calc(50% - 15px); }
    .flex-section.flex-section-2 > tbody > tr:nth-child(2n + 1) { margin-right: 0; }
    .flex-section.flex-section-2 > tbody > tr:nth-child(2n) { margin-left: 0; }
    .flex-section.flex-section-2 > tbody > tr:first-child { flex-basis: 100%; max-width: 100%; }
    
    .es-section.section-broken > tbody > tr > td { float: left; }
    
    #secondary-navigation a { padding-right: 10px; }
    #secondary-navigation ul { position: relative; }
    #secondary-navigation ul:after {
        content: " ";
        position: absolute;
        right: 0; top: 0;
        width: 20px; height: 100%;
        background: linear-gradient(to right, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%);
    }
    .nav-page-list li:last-child { border-bottom: 0; }
}

@media only screen and (max-width: 767px) {
    .hide-label .control-label { position: static; left: auto; }
    #side-bar.collapse-enabled { position: static; }
    
    .es-repeater-table .row { display: flex; justify-content: stretch; }
    .es-repeater-table .row > td { flex-grow: 1; padding: 0; }
    .es-repeater-table .row > td:first-child + td { padding-left: 15px; flex-grow: 2; }
    .es-repeater-table .row > td:last-child { padding-right: 15px; }
    .es-repeater-table .row > td:first-child + td input { border-top-right-radius: 0; border-bottom-right-radius: 0; }
    .es-repeater-table .row > td:last-child input { border-top-left-radius: 0; border-bottom-left-radius: 0; padding: .4em; }
	
    #WrapperTable .control-title-cell,
    #WrapperTable .control-title-cell h3,
    .control-cell { margin-bottom: 0; }
    .control-cell .form-control { border-bottom-left-radius: 0; border-bottom-right-radius: 0; }
    .correction-cell { margin-top: -1px; }
    .correction-cell .form-control { border-top-left-radius: 0; border-top-right-radius: 0; }
}

/* 2021-02-26 SBE - added styling to make the link for mailto look like a button */
a#btnSendCoord {
    cursor: pointer;
    margin: 0;
    box-sizing: border-box;
    user-select: none;
    white-space: pre;
    align-items: flex-start;
    text-align: center;
    background-color: #F0F0F0;
    color: black;
    padding: 6px 6px;
    border-width: 1px;
    border-style: solid;
    border-color: grey;
    border-image: initial;
    -webkit-writing-mode: horizontal-tb !important;
    text-rendering: auto;
    letter-spacing: normal;
    word-spacing: normal;
    text-transform: none;
    text-indent: 0px;
    text-shadow: none;
    display: inline-block;
    -webkit-rtl-ordering: logical;
    border-radius: 2px;
    overflow: visible;
    border-bottom-left-radius: 2px;	
}

a#btnSendCoord:hover {
	text-decoration: none;
}
/**************************************
    help system
/*************************************/

.help-link { display: none; }
.page-1 .help-link { text-align: right; }
.help-btn {
	padding-left: 30px;
	background: #f5f5f5 url("../MetaImages/icone_info.png") 8px 50% no-repeat;
    border: 1px solid #ccc;
	border-radius: 3px;
}
.help-btn:hover { background-color: #d5d5d5; }
.help-btn:active,
.help-btn.active { box-shadow: 0 0 5px rgba(0,0,0,0.125) inset; }

.help-block { display: none; }